# GearmanTask::data

(PECL gearman >= 0.5.0)

GearmanTask::data — Get data returned for a task

### Description

public GearmanTask::data ( void ) : string

Returns data being returned for a task by a worker.

### Parameters

This function has no parameters.

### Return Values

The serialized data, or `FALSE` if no data is present.

### See Also

- GearmanTask::dataSize() - Get the size of returned data